Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IMetaLogger

    public interface IMetaLogger

Interface to handle meta-data errors during initialization. Logs errors due to missing a rom.def file, rom.def parser errors, meta-data build errors, etc. The class that is interested in the errors may implement this interface. Then, create an instance of that class and register it with `MetaLogManager`, using the static `registerLogger` method. When an error occurs during parsing of the meta-data file, the parser calls the `log` method of the custom logger.

See Also:
  `MetaLogManager`

Method Summary
`void` | `close()` Release the logger, implement this method to do clean up of the logger, close the writer, release a lock, etc.
`void` | `log(java.lang.String message)` Log an error message.
`void` | `log(java.lang.String message, java.lang.Throwable t)` Log a message object including the stack trace of the Throwable t passed as parameter.

Method Detail

### log

    void log(java.lang.String message)

  Log an error message.

  Parameters:
    `message` - the message object to be logged.

### log

    void log(java.lang.String message,
             java.lang.Throwable t)

  Log a message object including the stack trace of the Throwable t passed as parameter.

  Parameters:
    `message` - the message object to be logged.
    `t` - the exception to log, including its stack trace.

### close

    void close()

  Release the logger, implement this method to do clean up of the logger, close the writer, release a lock, etc. This method is called by `MetaLogManager.shutDown()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.